Index: src/UIElements/Views/Qt4/Qt3D/GLWorldScene.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldScene.cpp	(revision 574d377d6df9c61b2d15b880404e8bb7d6d2fff0)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldScene.cpp	(revision b3a33d2dc647c629f4efa8e07674f19b1af1740f)
@@ -90,6 +90,4 @@
 
   connect(this, SIGNAL(updated()), this, SLOT(update()));
-
-  init();
 }
 
@@ -98,20 +96,4 @@
   // remove all elements
   GLMoleculeObject::cleanMaterialMap();
-}
-
-/** Initialise the WorldScene with molecules and atoms from World.
- *
- */
-void GLWorldScene::init()
-{
-//  const std::vector<const molecule *> &molecules =
-//      const_cast<const World &>(World::getInstance()).getAllMolecules();
-//
-//  for (std::vector<const molecule*>::const_iterator moliter = molecules.begin();
-//      moliter != molecules.end();
-//      moliter++) {
-//    // create molecule objects in scene
-//    moleculeInserted((*moliter)->getId());
-//  }
 }
 
@@ -187,34 +169,4 @@
 }
 
-/** ....
- *
- */
-void GLWorldScene::worldSelectionChanged()
-{
-  LOG(3, "INFO: GLWorldScene: Received signal selectionChanged.");
-
-  const std::vector<const molecule*> &molecules =
-      const_cast<const World &>(World::getInstance()).getAllMolecules();
-
-  if (molecules.size() > 0) {
-    for (std::vector<const molecule*>::const_iterator Runner = molecules.begin();
-        Runner != molecules.end();
-        Runner++) {
-
-      // molecule selected but not in scene?
-      const bool isSelected =
-          const_cast<const World &>(World::getInstance()).isSelected(*Runner);
-      if (isSelected){
-        MoleculeNodeMap::iterator iter = MoleculesinSceneMap.find((*Runner)->getId());
-        ASSERT( iter != MoleculesinSceneMap.end(),
-            "GLWorldScene::worldSelectionChanged() - selected molecule is unknown.");
-        GLMoleculeObject_molecule *molObject = iter->second;
-        // inform molecule object
-        molObject->selected(isSelected);
-      }
-    }
-  }
-}
-
 /** Inserts an atom into the scene before molecule is present.
  *
@@ -273,10 +225,11 @@
 
   // add new object
-  GLMoleculeObject_molecule *molObject = new GLMoleculeObject_molecule(GLMoleculeObject::meshEmpty, this, _id);
+  GLMoleculeObject_molecule *molObject =
+      new GLMoleculeObject_molecule(GLMoleculeObject::meshEmpty, this, _id);
   ASSERT( molObject != NULL,
       "GLWorldScene::moleculeInserted - could not create molecule object for "+toString(_id));
   MoleculesinSceneMap.insert( make_pair(_id, molObject) );
 
-  // now handle all state changes that came up before the instantiation7
+  // now handle all state changes that came up before the instantiation
   while (MoleculeMissedStateMap.count(_id) != 0) {
     ASSERT( !MoleculeMissedStateMap[_id].empty(),
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldScene.hpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldScene.hpp	(revision 574d377d6df9c61b2d15b880404e8bb7d6d2fff0)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldScene.hpp	(revision b3a33d2dc647c629f4efa8e07674f19b1af1740f)
@@ -87,5 +87,4 @@
   void atomRemoved(const moleculeId_t _molid, const atomId_t _atomid);
   void atomInserted(const moleculeId_t _molid, const atomId_t _atomid);
-  void worldSelectionChanged();
   void setSelectionModeAtom();
   void setSelectionModeMolecule();
@@ -97,7 +96,4 @@
 public:
   void updateSelectedShapes();
-
-private:
-  void init();
 
 private:
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp	(revision 574d377d6df9c61b2d15b880404e8bb7d6d2fff0)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp	(revision b3a33d2dc647c629f4efa8e07674f19b1af1740f)
@@ -90,5 +90,4 @@
   connect(worldscene, SIGNAL(hoverChanged(const atomId_t)), this, SLOT(sceneHoverSignalled(const atomId_t)));
   connect(worldscene, SIGNAL(hoverChanged(const moleculeId_t, int)), this, SLOT(sceneHoverSignalled(const moleculeId_t, int)));
-  connect(this, SIGNAL(worldSelectionChanged()), worldscene, SLOT(worldSelectionChanged()));
   connect(this, SIGNAL(atomRemoved(const moleculeId_t, const atomId_t)), worldscene, SLOT(atomRemoved(const moleculeId_t, const atomId_t)), Qt::DirectConnection);
   connect(this, SIGNAL(atomInserted(const moleculeId_t, const atomId_t)), worldscene, SLOT(atomInserted(const moleculeId_t, const atomId_t)), Qt::DirectConnection);
